> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Device Authorization Page

> Redirect browser-based device authorization requests to the web UI



## OpenAPI

````yaml https://cloud.kaneo.app/api/openapi get /auth/device
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /auth/device:
    get:
      tags:
        - Authentication
      summary: Get Device Authorization Page
      description: Redirect browser-based device authorization requests to the web UI
      operationId: getDeviceAuthorizationPage
      parameters:
        - in: query
          name: user_code
          schema:
            type: string
        - in: query
          name: ui
          schema:
            enum:
              - '1'
            type: string
      responses:
        '200':
          description: Device authorization payload from Better Auth
          content:
            application/json:
              schema:
                type: object
        '302':
          description: Redirects the browser to the web app device screen
      security: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````